import { LitElement } from 'lit';
/**
 *  @element uui-loader-bar
 * @description - Linear loader for indicating loading.
 */
export declare class UUILoaderBarElement extends LitElement {
    static styles: import("lit").CSSResult[];
    private _progress;
    /**
     * Set this to a number between 0 and 100 to reflect the progress of some operation. When the value is left at 0 loader will looped animation
     * @type {number}
     * @attr
     * @default 0
     */
    get progress(): number;
    set progress(newVal: number);
    private _animationDuration;
    /**
     * Set this to a number greater then 0 to define the length of loader animation in seconds. Passing 0 or a negative number as a value will set it to 1 second. This is because negative values are illegal in the `animation-duration` css property, and value of 0 just stops the animation.
     * @type {number}
     * @attr
     * @default 1
     */
    get animationDuration(): number;
    set animationDuration(newVal: number);
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-loader-bar': UUILoaderBarElement;
    }
}
